POST api/NTCosCompany/PostCompanyCaseManagementType
Request Information
URI Parameters
None.
Body Parameters
Collection of CaseManagementTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 50 |
|
| Sequence | integer |
None. |
|
| Description | string |
String length: inclusive between 0 and 500 |
|
| Status | integer |
None. |
|
| CaseNo | integer |
None. |
|
| DispositionId | integer |
None. |
|
| PermissionStatus | boolean |
None. |
|
| EncounterId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"EncounterId": 8,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:43.441561-07:00",
"DateUpdated": "2026-08-04T14:27:43.441561-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"EncounterId": 8,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:43.441561-07:00",
"DateUpdated": "2026-08-04T14:27:43.441561-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfCaseManagementTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CaseManagementTypeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"EncounterId": 8,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:43.441561-07:00",
"DateUpdated": "2026-08-04T14:27:43.441561-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"EncounterId": 8,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:43.441561-07:00",
"DateUpdated": "2026-08-04T14:27:43.441561-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}